kernel messages intel_crtc_wait_for_pending_flips correlate to compiz hang

Bug #1384342 reported by Scott Moser on 2014-10-22
470
This bug affects 86 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
System76
Undecided
Unassigned
xf86-video-intel
Fix Released
Medium
linux (Debian)
Confirmed
Unknown
linux (Fedora)
Invalid
Undecided
linux (Ubuntu)
High
Unassigned
linux (openSUSE)
Unknown
Unknown

Bug Description

I am fairly frequently (maybe once every 2 days) seeing screen lockups. The system is fine, and then screen locks up. mouse is still movable and even changes icon based on content under it (ie mouse over link changes to pointing hand). Programs are still running (often this occurs during a google hangout, and the hangout, audio and mic seem to work fine).

Today when this happened I had more patience and hit ctrl-alt-f1, and then subsequently saw that dmesg had:
[82218.556025] ------------[ cut here ]------------
[82218.556074] WARNING: CPU: 0 PID: 8799 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
[82218.556095] Modules linked in: xt_conntrack ipt_REJECT overlayfs pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) xt_CHECKSUM iptable_mangle ipt_MASQUERADE iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack xt_tcpudp bridge stp llc iptable_filter ip_tables x_tables rfcomm bnep binfmt_misc dm_crypt uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev media dm_multipath scsi_dh coretemp kvm_intel kvm arc4 joydev iwldvm mac80211 serio_raw btusb bluetooth pcmcia 6lowpan_iphc thinkpad_acpi snd_seq_midi snd_seq_midi_event nvram snd_hda_codec_conexant snd_hda_codec_generic r852 sm_common lpc_ich nand snd_rawmidi nand_ecc nand_bch snd_hda_intel bch nand_ids snd_hda_controller snd_hda_codec snd_hwdep mtd snd_seq iwlwifi r592 memstick snd_pcm
[82218.556112] yenta_socket pcmcia_rsrc pcmcia_core cfg80211 snd_seq_device shpchp snd_timer mei_me mei snd soundcore mac_hid parport_pc ppdev tp_smapi(OE) thinkpad_ec(OE) lp parport btrfs raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq raid1 raid0 multipath linear hid_generic usbhid hid psmouse firewire_ohci ahci libahci firewire_core sdhci_pci sdhci crc_itu_t i915 wmi e1000e i2c_algo_bit drm_kms_helper video drm ptp pps_core pata_acpi [last unloaded: ipmi_msghandler]
[82218.556114] CPU: 0 PID: 8799 Comm: kworker/0:1 Tainted: G W OE 3.16.0-23-generic #30-Ubuntu
[82218.556115] Hardware name: LENOVO 7417CTO/7417CTO, BIOS 7UET94WW (3.24 ) 10/17/2012
[82218.556119] Workqueue: events console_callback
[82218.556122] 0000000000000009 ffff880016a3faf8 ffffffff8177fcbc 0000000000000000
[82218.556123] ffff880016a3fb30 ffffffff8106fd8d 0000000000000000 ffff880035a5a000
[82218.556124] ffff880035948210 ffff880035826800 ffff880035826800 ffff880016a3fb40
[82218.556125] Call Trace:
[82218.556130] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[82218.556133] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[82218.556135] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[82218.556153] [<ffffffffc015dffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
[82218.556156] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
[82218.556175] [<ffffffffc0160ac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
[82218.556177] [<ffffffff81784e5b>] ? __ww_mutex_lock+0x1b/0xb0
[82218.556196] [<ffffffffc0160ca1>] i9xx_crtc_disable+0x51/0x3f0 [i915]
[82218.556220] [<ffffffffc0162457>] intel_crtc_update_dpms+0x67/0xa0 [i915]
[82218.556237] [<ffffffffc0166ac9>] intel_connector_dpms+0x59/0x70 [i915]
[82218.556245] [<ffffffffc00c4901>] drm_fb_helper_dpms.isra.5+0xc1/0x100 [drm_kms_helper]
[82218.556251] [<ffffffffc00c4971>] drm_fb_helper_blank+0x31/0x90 [drm_kms_helper]
[82218.556254] [<ffffffff81415d47>] fb_blank+0x57/0xc0
[82218.556256] [<ffffffff8140c87b>] fbcon_blank+0xfb/0x300
[82218.556258] [<ffffffff8108b4a2>] ? __queue_delayed_work+0x182/0x1c0
[82218.556259] [<ffffffff8108b7b9>] ? try_to_grab_pending+0xa9/0x160
[82218.556262] [<ffffffff8107cbdb>] ? lock_timer_base.isra.34+0x2b/0x50
[82218.556264] [<ffffffff8107dd1f>] ? try_to_del_timer_sync+0x4f/0x70
[82218.556266] [<ffffffff81497ba3>] do_blank_screen+0x1d3/0x280
[82218.556267] [<ffffffff8149a348>] console_callback+0x68/0x160
[82218.556269] [<ffffffff8108d8e2>] process_one_work+0x182/0x4e0
[82218.556270] [<ffffffff8108dcab>] worker_thread+0x6b/0x6a0
[82218.556272] [<ffffffff8178294d>] ? __schedule+0x39d/0x890
[82218.556273] [<ffffffff8108dc40>] ? process_one_work+0x4e0/0x4e0
[82218.556275] [<ffffffff81094aeb>] kthread+0xdb/0x100
[82218.556277] [<ffffffff81094a10>] ? kthread_create_on_node+0x1c0/0x1c0
[82218.556278] [<ffffffff81787c3c>] ret_from_fork+0x7c/0xb0
[82218.556280] [<ffffffff81094a10>] ? kthread_create_on_node+0x1c0/0x1c0
[82218.556281] ---[ end trace b9c751133032cf61 ]---

/var/log/Xorg.0.log had:
[ 83252.384] (EE) Backtrace:
[ 83253.063] (EE) 0: /usr/bin/X (xorg_backtrace+0x56) [0x7f80649a0666]
[ 83253.063] (EE) 1: /usr/bin/X (0x7f80647ea000+0x1ba869) [0x7f80649a4869]
[ 83253.063] (EE) 2: /lib/x86_64-linux-gnu/libc.so.6 (0x7f806251f000+0x36da0) [0x7f8062555da0]
[ 83253.063] (EE) 3: /usr/bin/X (0x7f80647ea000+0x1378ec) [0x7f80649218ec]
[ 83253.063] (EE) 4: /usr/bin/X (0x7f80647ea000+0x137d0c) [0x7f8064921d0c]
[ 83253.063] (EE) 5: /usr/bin/X (0x7f80647ea000+0x137243) [0x7f8064921243]
[ 83253.064] (EE) 6: /usr/bin/X (0x7f80647ea000+0xe9fa8) [0x7f80648d3fa8]
[ 83253.064] (EE) 7: /usr/bin/X (0x7f80647ea000+0x1358fc) [0x7f806491f8fc]
[ 83253.064] (EE) 8: /usr/bin/X (0x7f80647ea000+0x5b3b7) [0x7f80648453b7]
[ 83253.064] (EE) 9: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf5) [0x7f8062540ec5]
[ 83253.064] (EE) 10: /usr/bin/X (0x7f80647ea000+0x456ae) [0x7f806482f6ae]
[ 83253.064] (EE)
[ 83253.115] (EE) Segmentation fault at address 0x10

Normally, I'm generally able to switch consoles in and out of X without problem. I do not know if the above trace is related to X being locked or not.

I'll also attach the /var/log/Xorg.0.log.old that had some information in it also andapparent segfault. That said, I think all log information is tens of seconds after the lock up and might be a result of me ctrl-alt-1 <-> ctrl-alt-f7 while system was in a borked state.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: linux-image-3.16.0-23-generic 3.16.0-23.30
ProcVersionSignature: Ubuntu 3.16.0-23.30-generic 3.16.4
Uname: Linux 3.16.0-23-generic x86_64
ApportVersion: 2.14.7-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC0D0c: smoser 4134 F...m pulseaudio
 /dev/snd/pcmC0D0p: smoser 4134 F...m pulseaudio
 /dev/snd/controlC0: smoser 4134 F.... pulseaudio
CurrentDesktop: Unity
Date: Wed Oct 22 10:29:16 2014
EcryptfsInUse: Yes
InstallationDate: Installed on 2011-10-19 (1099 days ago)
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
MachineType: LENOVO 7417CTO
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-23-generic root=UUID=f9832678-e9fb-41c5-8edb-5edd5200ed0a ro quiet splash nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-23-generic N/A
 linux-backports-modules-3.16.0-23-generic N/A
 linux-firmware 1.136
SourcePackage: linux
UpgradeStatus: Upgraded to utopic on 2013-05-20 (520 days ago)
dmi.bios.date: 10/17/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 7UET94WW (3.24 )
dmi.board.name: 7417CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7UET94WW(3.24):bd10/17/2012:svnLENOVO:pn7417CTO:pvrThinkPadT400:rvnLENOVO:rn7417CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 7417CTO
dmi.product.version: ThinkPad T400
dmi.sys.vendor: LENOVO

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

It looks like the current kernel on this system is 3.16.0-23. Can you apply the latest updates and see if this issue still happens with the latest kernel in -updates, which is 3.13.0-37.64.

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: kernel-key
Scott Moser (smoser) wrote :

Joseph,
  I'm running 3.16.0-23 on utopic, which is latest kernel in utopic to my knowledge.

Joseph Salisbury (jsalisbury) wrote :

Sorry, Scott. Yes, I posted the latest kernel in Trusty.

Joseph Salisbury (jsalisbury) wrote :

Is this something you can reproduce easily? Also, did it just start happening in Utopic after a recent kernel upgrade or updates?

tags: added: latest-bios-3.24
Tm_T (Jussi Kekkonen) (tmt) wrote :

Hi, I have the same issue, this started happening after upgrading to Utopic from Trusty, my hardware is recent gen XPS 13 de

Haven't yet figured out a way to reproduce the issue.

Tm_T (Jussi Kekkonen) (tmt) wrote :
Download full text (4.5 KiB)

Also maybe worth noting that I'm using Kubuntu.

my syslog get following entries when the lockup happens:

Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405831] ------------[ cut here ]------------
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405879] WARNING: CPU: 0 PID: 1602 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324
 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405881] Modules linked in: asix usbnet mii hid_logitech_dj hid_generic xt_CHECKSUM iptable_mangle ipt_MAS
QUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tabl
es bridge stp llc ctr ccm pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) joydev intel_rapl arc4 x86_pkg_temp_thermal hid_rmi intel_pow
erclamp coretemp dell_wmi sparse_keymap kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel dell_laptop uvcvideo dcdbas videobuf2_vmalloc
videobuf2_memops videobuf2_core v4l2_common aesni_intel videodev aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd hid_multitouch media iwlmvm sn
d_soc_rt5640 snd_soc_rl6231 snd_soc_core mac80211 snd_compress snd_pcm_dmaengine btusb snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic
iwlwifi serio_raw snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep cfg80211 snd_pcm mei_me mei shpchp lpc_ich snd_seq_midi snd_seq_midi_event
snd_rawmidi snd_seq snd_seq_device snd_timer snd rfcomm soundcore dw_dmac snd_soc_sst_acpi bnep i2c_hid dw_dmac_core i2c_designware_platform 8250_dw i
2c_designware_core spi_pxa2xx_platform intel_smartconnect bluetooth 6lowpan_iphc mac_hid binfmt_misc parport_pc ppdev i8k lp parport usbhid hid i915 i
2c_algo_bit drm_kms_helper psmouse ahci drm libahci wmi sdhci_acpi sdhci video
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405952] CPU: 0 PID: 1602 Comm: Xorg Tainted: G OE 3.16.0-23-generic #31-Ubuntu
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405954] Hardware name: Dell Inc. XPS13 9333/0D13CR, BIOS A04 03/19/2014
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405955] 0000000000000009 ffff8800bd587c18 ffffffff8177fcbc 0000000000000000
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405959] ffff8800bd587c50 ffffffff8106fd8d 0000000000000000 ffff880213e74000
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405961] ffff880210718210 ffff880210ae5000 ffff880210ae5000 ffff8800bd587c60
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405965] Call Trace:
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405973] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405979] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.405982] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.406004] [<ffffffffc01e8ffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.406010] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
Oct 27 10:47:12 jkekkonen-XPS kernel: [20998.406029] [<ffffffffc01ebac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Oct 27 10:47...

Read more...

Nick Semenkovich (semenko) wrote :

I'm also seeing this hang intermittently in Vivid Vervet.

Judging from the kernel bug thread, this might be resolved in in drm-intel-nightly. (It's not clear which commit fixed this issue, so not sure if it made its way into 3.17 or 3.18rc yet.)

tags: added: kernel-da-key
removed: kernel-key
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Jean-Louis Dupond (dupondje) wrote :
Download full text (3.4 KiB)

Same issue here with a Dell Latitude
[157658.178997] ------------[ cut here ]------------
[157658.179095] WARNING: CPU: 2 PID: 1869 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
[157658.179100] Modules linked in: nls_utf8 btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c xt_CHECKSUM iptable_mangle ipt_MASQUERADE iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ipt_REJECT xt_tcpudp iptable_filter ip_tables x_tables bridge stp llc snd_hda_codec_hdmi snd_hda_codec_idt snd_hda_codec_generic pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep rfcomm bluetooth 6lowpan_iphc dell_wmi sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel arc4 dell_laptop dcdbas uvcvideo iwldvm videobuf2_vmalloc mac80211 binfmt_misc videobuf2_memops aesni_intel aes_x86_64 lrw videobuf2_core gf128mul v4l2_common glue_helper videodev ablk_helper
[157658.179197] cryptd media joydev serio_raw iwlwifi cfg80211 wmi dell_smo8800 snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event i915 snd_rawmidi snd_seq snd_seq_device snd_timer video mac_hid drm_kms_helper lpc_ich drm snd mei_me soundcore mei shpchp i2c_algo_bit parport_pc ppdev lp parport hid_generic usbhid hid firewire_ohci sdhci_pci e1000e sdhci psmouse firewire_core ahci ptp libahci crc_itu_t pps_core
[157658.179272] CPU: 2 PID: 1869 Comm: Xorg Tainted: G W OE 3.16.0-23-generic #31-Ubuntu
[157658.179277] Hardware name: Dell Inc. Latitude E6520/0CMN08, BIOS A19 11/14/2013
[157658.179282] 0000000000000009 ffff880035f47bf8 ffffffff8177fcbc 0000000000000000
[157658.179289] ffff880035f47c30 ffffffff8106fd8d 0000000000000000 ffff8800c328a000
[157658.179296] ffff880035cb8210 ffff8801277a4800 ffff8801277a4800 ffff880035f47c40
[157658.179303] Call Trace:
[157658.179320] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[157658.179332] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[157658.179340] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[157658.179389] [<ffffffffc02dcffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
[157658.179402] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
[157658.179448] [<ffffffffc02dfac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
[157658.179490] [<ffffffffc02e0090>] ironlake_crtc_disable+0x50/0x980 [i915]
[157658.179538] [<ffffffffc0201f53>] ? drm_modeset_lock+0x33/0xf0 [drm]
[157658.179546] [<ffffffff81785ab2>] ? mutex_lock+0x12/0x30
[157658.179589] [<ffffffffc02e1457>] intel_crtc_update_dpms+0x67/0xa0 [i915]
[157658.179630] [<ffffffffc02e5ac9>] intel_connector_dpms+0x59/0x70 [i915]
[157658.179668] [<ffffffffc01f8e19>] drm_mode_obj_set_property_ioctl+0x399/0x3a0 [drm]
[157658.179701] [<ffffffffc01f8e50>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
[157658.179725] [<ffffffffc01e7a4f>] drm_ioctl+0x1df/0x680 [drm]
[157658.179740] [<ffffffff810a9de8>] ? __enqueue_entity+0x78/0x80
[157658.179750] [<ffffffff8101e04f>] ? __switch_to_xtra+0x13f/0x170
[157658.1797...

Read more...

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.18 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc2-utopic/

Joseph Salisbury (jsalisbury) wrote :

If the 3.18-rc2 kernel still has the bug, we can test the drm-nightly kernel at:
http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2014-10-30-vivid/

amichair (amichai2) wrote :

I just had my system freeze, all 3 monitors were frozen for a few minutes, no mouse cursor or anything else moving, but sound still worked, then the monitors went black for a couple more minutes (maybe because I pressed ctrl-alt-f1 at some point, dunno), and after a while longer it all came back to normal. I'm on Kubuntu 14.10 for a week now, and never encountered this issue before. I don't know what this is about, but the syslog error is reminiscent of the ones above (on Haswell though):

[Fri Oct 31 22:04:45 2014] CPU: 0 PID: 1806 Comm: Xorg Tainted: G W OE 3.16.0-23-generic #31-Ubuntu
[Fri Oct 31 22:04:45 2014] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z87 Extreme6, BIOS P2.40 07/08/2014
[Fri Oct 31 22:04:45 2014] 0000000000000009 ffff8804082ffac8 ffffffff8177fcbc 0000000000000000
[Fri Oct 31 22:04:45 2014] ffff8804082ffb00 ffffffff8106fd8d 0000000000000000 ffff880408fd6000
[Fri Oct 31 22:04:45 2014] ffff880035938210 ffff880404b88800 ffff880404b88800 ffff8804082ffb10
[Fri Oct 31 22:04:45 2014] Call Trace:
[Fri Oct 31 22:04:45 2014] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
[Fri Oct 31 22:04:45 2014] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
[Fri Oct 31 22:04:45 2014] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
[Fri Oct 31 22:04:45 2014] [<ffffffffc0283ffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
[Fri Oct 31 22:04:45 2014] [<ffffffffc0286ac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffffc0287a17>] haswell_crtc_disable+0x57/0x2e0 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffffc02898bb>] __intel_set_mode+0x7ab/0xab0 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffffc028caf6>] intel_set_mode+0x16/0x30 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffffc028dbba>] intel_crtc_set_config+0xa4a/0xda0 [i915]
[Fri Oct 31 22:04:45 2014] [<ffffffffc00f66d1>] drm_mode_set_config_internal+0x61/0xe0 [drm]
[Fri Oct 31 22:04:45 2014] [<ffffffffc00fa413>] drm_mode_setcrtc+0x283/0x580 [drm]
[Fri Oct 31 22:04:45 2014] [<ffffffffc00eaa4f>] drm_ioctl+0x1df/0x680 [drm]
[Fri Oct 31 22:04:45 2014] [<ffffffff811f4bc8>] do_vfs_ioctl+0x2c8/0x4a0
[Fri Oct 31 22:04:45 2014] [<ffffffff811e31a1>] ? __sb_end_write+0x31/0x60
[Fri Oct 31 22:04:45 2014] [<ffffffff811e0d12>] ? vfs_write+0x1b2/0x1f0
[Fri Oct 31 22:04:45 2014] [<ffffffff811f4e21>] SyS_ioctl+0x81/0xa0
[Fri Oct 31 22:04:45 2014] [<ffffffff81787ced>] system_call_fastpath+0x1a/0x1f
[Fri Oct 31 22:04:45 2014] ---[ end trace 9b44a589aabc549c ]---

Rocko (rockorequin) wrote :

FYI, the 3.17.2 kernel still has the bug. I haven't tried 3.18-rcX yet.

Adam Fussell (adamfussell) wrote :
Download full text (4.1 KiB)

Same issue for me here on 2 different Dell OptiPlex 9020 (Haswell) and a Haswell Intel NUC. All recently upgraded to 14.10
It appears to be very intermittent, about once a week on each different machine. Only seems to occur when left idle for some period of time, never when I’m actually using the machines.

Nov 2 15:14:42 fox kernel: [12674.466186] ------------[ cut here ]------------
Nov 2 15:14:42 fox kernel: [12674.466221] WARNING: CPU: 0 PID: 2479 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:
3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
Nov 2 15:14:42 fox kernel: [12674.466222] Modules linked in: pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) autofs4 xt_
addrtype xt_conntrack ipt_MASQUERADE iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bridge stp llc aufs ip
table_filter ip_tables x_tables snd_usb_audio snd_usbmidi_lib joydev snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp
 snd_hda_intel snd_hda_controller dcdbas snd_hda_codec snd_hwdep snd_pcm rfcomm btusb kvm_intel snd_seq_midi snd_seq_midi_event bnep kvm
 bluetooth 6lowpan_iphc serio_raw lpc_ich snd_rawmidi snd_seq snd_seq_device snd_timer parport_pc snd rpcsec_gss_krb5 mei_me mei ppdev m
ac_hid binfmt_misc shpchp nfsd coretemp soundcore auth_rpcgss lp nfs_acl parport nfs lockd sunrpc fscache nls_iso8859_1 uas usb_storage
dm_crypt hid_generic usbhid hid crct10dif_pclmul crc32_pclmul ghash_clmulni_intel i915 aesni_intel aes_x86_64 lrw gf128mul glue_helper a
blk_helper cryptd i2c_algo_bit psmouse ahci e1000e drm_kms_helper libahci drm ptp pps_core video
Nov 2 15:14:42 fox kernel: [12674.466258] CPU: 0 PID: 2479 Comm: Xorg Tainted: G OE 3.16.0-24-generic #32-Ubuntu
Nov 2 15:14:42 fox kernel: [12674.466259] Hardware name: Dell Inc. OptiPlex 9020/0PC5F7, BIOS A07 04/25/2014
Nov 2 15:14:42 fox kernel: [12674.466260] 0000000000000009 ffff8807eec8fc18 ffffffff8277fcbc 0000000000000000
Nov 2 15:14:42 fox kernel: [12674.466261] ffff8807eec8fc50 ffffffff8206fd8d 0000000000000000 ffff8807ed3ce000
Nov 2 15:14:42 fox kernel: [12674.466263] ffff8807ec348210 ffff8807ec529000 ffff8807ec529000 ffff8807eec8fc60
Nov 2 15:14:42 fox kernel: [12674.466265] Call Trace:
Nov 2 15:14:42 fox kernel: [12674.466272] [<ffffffff8277fcbc>] dump_stack+0x45/0x56
Nov 2 15:14:42 fox kernel: [12674.466276] [<ffffffff8206fd8d>] warn_slowpath_common+0x7d/0xa0
Nov 2 15:14:42 fox kernel: [12674.466278] [<ffffffff8206fe6a>] warn_slowpath_null+0x1a/0x20
Nov 2 15:14:42 fox kernel: [12674.466288] [<ffffffffc047dffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
Nov 2 15:14:42 fox kernel: [12674.466292] [<ffffffff820b9590>] ? prepare_to_wait_event+0x100/0x100
Nov 2 15:14:42 fox kernel: [12674.466302] [<ffffffffc0480ac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Nov 2 15:14:42 fox kernel: [12674.466304] [<ffffffff82784e5b>] ? __ww_mutex_lock+0x1b/0xb0
Nov 2 15:14:42 fox kernel: [12674.466313] [<ffffffffc0481a17>] haswell_crtc_disable+0x57/0x2e0 [i915]
Nov 2 15:14:42 fox kernel: [12674.466314] [<ffffffff82785ab2>] ? mutex_lock+0x12/0x30
Nov 2 15:14:42 fox kernel: [12674.466323]...

Read more...

jondee (jonathandilks) wrote :
Download full text (9.0 KiB)

I'm running on an Intel Haswell i5-4670K and can confirm this happens intermittently without VT switching but it can often be be made to happen much more often by doing VT switches.

I'm running the lasest Utopic 3.16.0-24-generic #32-Ubuntu kernel on x86_64 and I've got a trace from syslog of this lock-up occuring twice in immediate succession:

Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348482] ------------[ cut here ]------------
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348519] WARNING: CPU: 2 PID: 2487 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348521] Modules linked in: webcamstudio(OE) videodev media dm_crypt pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm bnep binfmt_misc hid_generic usbhid hid btusb bluetooth 6lowpan_iphc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_realtek kvm_intel kvm snd_hda_codec_generic crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel snd_hda_codec_hdmi aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd serio_raw lpc_ich snd_hda_intel snd_hda_controller snd_hda_codec snd_seq_midi snd_hwdep snd_seq_midi_event snd_rawmidi snd_pcm shpchp mei_me snd_seq mei snd_seq_device snd_timer snd soc_button_array soundcore tpm_infineon mac_hid parport_pc ppdev it87 hwmon_vid lp parport mxm_wmi i915 psmouse i2c_algo_bit drm_kms_helper e1000e drm ahci ptp libahci pps_core wmi video
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348564] CPU: 2 PID: 2487 Comm: Xorg Tainted: G W IOE 3.16.0-24-generic #32-Ubuntu
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348566] Hardware name: Gigabyte Technology Co., Ltd. Z87X-D3H/Z87X-D3H-CF, BIOS F8 01/17/2014
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348567] 0000000000000009 ffff880420d5fc18 ffffffff8177fcbc 0000000000000000
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348570] ffff880420d5fc50 ffffffff8106fd8d 0000000000000000 ffff880428ff5000
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348573] ffff880423b88210 ffff880423938800 ffff880423938800 ffff880420d5fc60
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348576] Call Trace:
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348584] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348589] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348592] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348612] [<ffffffffc029cffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348617] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348634] [<ffffffffc029fac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348637] [<ffffffff81784e5b>] ? __ww_mutex_lock+0x1b/0xb0
Nov 2 16:51:38 jonathan-Z87X-D3H kernel: [ 3385.348653] [<ffffffffc02a0a17>] haswell_crtc_disable+0x57/0x2e0 [i915]
Nov 2 16:51:38 jonathan-Z87...

Read more...

jondee (jonathandilks) wrote :

I'm also unable to find any segfaults in the Xorg logs which is strange :/ Also as a sidenote sometimes running 'killall -9 compiz' can help recovery back to a working VT and stop the lock-up (if there is one - I'm running multiple desktop sessions), if the compiz on another VT has crashed!

jondee (jonathandilks) wrote :

Using a newer kernel does seem to fix the problem: I’ve been using this kernel (http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/) for a few days now without this issue happening once!

Rocko (rockorequin) wrote :

I just experienced the bug in 3.18-rc3.

tags: added: bug-exists-upstream
tags: added: kernel-bug-exists-upstream
Rocko (rockorequin) wrote :

Re 3.18-rc3, I take it back - I was looking at an old log entry. I did experience a complete system freeze that required a hard reset, but I don't think it managed to record the error that caused it in the syslog.

tags: removed: kernel-bug-exists-upstream
jondee (jonathandilks) wrote :

I spoke to soon, I did experience this bug under this kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/current/ - though I couldn’t find anything in the system log, just experienced the lock up in the exact same way . Now gone back to this kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2014-11-01-vivid/ and so far I haven't seen the bug occur here yet. but I'll let you know if it happens!

jondee (jonathandilks) wrote :

That's kernel 3.18.0-994-generic #201411010205 from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2014-11-01-vivid/ that I'm currently testing! :)

Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report[0]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

Please follow the instructions on the wiki page[0]. The first step is to email the appropriate mailing list. If no response is received, then a bug may be opened on bugzilla.kernel.org.

Once this bug is reported upstream, please add the tag: 'kernel-bug-reported-upstream'.

[0] https://wiki.ubuntu.com/Bugs/Upstream/kernel

jondee (jonathandilks) wrote :

@jsalisbury https://bugzilla.kernel.org/show_bug.cgi?id=64431 is this not already done here? Or does a new one need to be created for the kernel 3.17 I tested?!?

Also note for anyone else affected, so far no occurrence of this bug in Kernel 3.18.0-994-generic #201411010205 from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2014-11-01-vivid ! If you are experiencing this please try testing it!

Joseph Salisbury (jsalisbury) wrote :

@jondee, right. No need to create a new upstream bug. 64431 is already open.

Colan Schwartz (colan) wrote :

Added System76 as I started getting this on my Galago UltraPro after upgrading to 14.10.

a_user (a-user-sci) wrote :

the problem is also happening from time to time with every kernel used till now in ubuntu 14.10 (since early betas and also with the latest one).

Last time i got this problem though i had no entries in syslog as i usually had it on the previous times.

jondee (jonathandilks) wrote :

Can confirm with a_user that sometimes this problem occurs without leaving syslog entries :/

amichair (amichai2) wrote :

Just had it occur for the second time, two weeks after the first time. Unlike the first time, this time the mouse cursor did move (while everything else was frozen), but the system did not recover, and I had to ssh into the machine (which was possible, confirming that it's just the display that's broken) and reboot it. I'm also on Haswell, fwiw.

The stack trace is slightly different than before:

Nov 13 20:15:59 pc kernel: [1630241.453354] CPU: 5 PID: 1806 Comm: Xorg Tainted: G W OE 3.16.0-23-generic #31-Ubuntu
Nov 13 20:15:59 pc kernel: [1630241.453356] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./Z87 Extreme6, BIOS P2.40 07/08/2014
Nov 13 20:15:59 pc kernel: [1630241.453358] 0000000000000009 ffff8804082ffc18 ffffffff8177fcbc 0000000000000000
Nov 13 20:15:59 pc kernel: [1630241.453361] ffff8804082ffc50 ffffffff8106fd8d 0000000000000000 ffff880408fd6000
Nov 13 20:15:59 pc kernel: [1630241.453364] ffff880035938210 ffff880404b88800 ffff880404b88800 ffff8804082ffc60
Nov 13 20:15:59 pc kernel: [1630241.453367] Call Trace:
Nov 13 20:15:59 pc kernel: [1630241.453375] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
Nov 13 20:15:59 pc kernel: [1630241.453381] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
Nov 13 20:15:59 pc kernel: [1630241.453384] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
Nov 13 20:15:59 pc kernel: [1630241.453406] [<ffffffffc0283ffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
Nov 13 20:15:59 pc kernel: [1630241.453411] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
Nov 13 20:15:59 pc kernel: [1630241.453432] [<ffffffffc0286ac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Nov 13 20:15:59 pc kernel: [1630241.453436] [<ffffffff81784e5b>] ? __ww_mutex_lock+0x1b/0xb0
Nov 13 20:15:59 pc kernel: [1630241.453456] [<ffffffffc0287a17>] haswell_crtc_disable+0x57/0x2e0 [i915]
Nov 13 20:15:59 pc kernel: [1630241.453459] [<ffffffff81785ab2>] ? mutex_lock+0x12/0x30
Nov 13 20:15:59 pc kernel: [1630241.453478] [<ffffffffc0288457>] intel_crtc_update_dpms+0x67/0xa0 [i915]
Nov 13 20:15:59 pc kernel: [1630241.453497] [<ffffffffc028cac9>] intel_connector_dpms+0x59/0x70 [i915]
Nov 13 20:15:59 pc kernel: [1630241.453516] [<ffffffffc00fbe19>] drm_mode_obj_set_property_ioctl+0x399/0x3a0 [drm]
Nov 13 20:15:59 pc kernel: [1630241.453534] [<ffffffffc00fbe50>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
Nov 13 20:15:59 pc kernel: [1630241.453546] [<ffffffffc00eaa4f>] drm_ioctl+0x1df/0x680 [drm]
Nov 13 20:15:59 pc kernel: [1630241.453553] [<ffffffff8101c2f9>] ? read_tsc+0x9/0x20
Nov 13 20:15:59 pc kernel: [1630241.453557] [<ffffffff811f4bc8>] do_vfs_ioctl+0x2c8/0x4a0
Nov 13 20:15:59 pc kernel: [1630241.453561] [<ffffffff81080a52>] ? __set_task_blocked+0x32/0x80
Nov 13 20:15:59 pc kernel: [1630241.453564] [<ffffffff81083986>] ? __set_current_blocked+0x36/0xc0
Nov 13 20:15:59 pc kernel: [1630241.453567] [<ffffffff811f4e21>] SyS_ioctl+0x81/0xa0
Nov 13 20:15:59 pc kernel: [1630241.453571] [<ffffffff81787ced>] system_call_fastpath+0x1a/0x1f
Nov 13 20:15:59 pc kernel: [1630241.453572] ---[ end trace 9b44a589aabc549d ]---

Paul Gear (paulgear) wrote :

I've experienced this also on the latest standard kernels on utopic. The kernel that jondee mentioned above is no longer available, and there seems little activity on the upstream bug. Is there a preferred kernel which utopic users should be testing?

The oops I experienced seems to be similar to http://oops.kernel.org/oops/warning-at-drivers-gpu-drm-i915-intel_display-c3324-intel_crtc_wait_for_pending_flips0x165-0x170-i915/ and maybe to http://oops.kernel.org/oops/warning-at-drivers-gpu-drm-i915-intel_display-c3313-intel_crtc_wait_for_pending_flips0x160-0x170-i915/ as well, which means this bug may need merging with https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1351353

Paul Gear, it would be most helpful if you created a new bug report via a terminal:
ubuntu-bug linux

As well, it would also be helpful to test mainline kernel 3.18-rc6, as well as advise if this is a regression.

Paul Gear (paulgear) wrote :

Thanks Christopher. It looks like only 3.18-rc2 is available for utopic at this stage: http://kernel.ubuntu.com/~kernel-ppa/mainline/ Is that worth trying, or should I wait for a newer one to become available?

With respect to regression, this is definitely worse on utopic than it was on trusty: Symptoms are that all X applications become unresponsive to mouse, keyboard becomes unresponsive. Mouse pointer still works, but is confined to screen 0 (it won't move onto the external monitor).

On trusty, if I just let it sit there, it would come good after about 30-120 seconds. On utopic, if I don't manually intervene and switch to a text console and back, it never comes back (at least not in the 12 minutes that I waited last time). Switching to a text console and back works extremely slowly, but eventually does the right thing, and everything continues on.

Other symptoms are out of order messages in /var/log/syslog (like, 5 minutes out of order), and no kernel oops until I switch VCs.
Here's the oops that does occur eventually: https://pastebin.canonical.com/121261/

Paul Gear, let us have a further discussion on the new bug report ran against your hardware.

Rocko (rockorequin) wrote :

@Paul Gear: you could try 3.18-rc6 from http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc6-vivid/, it works fine with utopic.

Download full text (3.2 KiB)

Linux 3.16.0-25-generic #33-Ubuntu SMP Tue Nov 4 12:06:54 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

[ 6125.090103] WARNING: CPU: 2 PID: 1499 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
[ 6125.090105] Modules linked in: uas usb_storage nf_conntrack_netlink nf_conntrack nfnetlink iptable_filter ip_tables x_tables rfcomm bnep bluetooth 6lowpan_iphc nfsd auth_rpcgss nfs_acl nfs lockd sunrpc fscache snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic hid_generic eeepc_wmi asus_wmi sparse_keymap usbhid hid intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw snd_hda_intel gf128mul snd_hda_controller glue_helper ablk_helper cryptd snd_hda_codec snd_hwdep snd_pcm serio_raw snd_seq_midi snd_seq_midi_event i915 snd_rawmidi snd_seq snd_seq_device snd_timer video drm_kms_helper snd mac_hid parport_pc drm lpc_ich ppdev wmi mei_me mei soundcore shpchp i2c_algo_bit intel_smartconnect aoe lp
[ 6125.090156] parport raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq r8169 raid1 ahci libahci mii raid0 multipath linear
[ 6125.090172] CPU: 2 PID: 1499 Comm: Xorg Not tainted 3.16.0-25-generic #33-Ubuntu
[ 6125.090174] Hardware name: System manufacturer System Product Name/P8Z77-V LX, BIOS 2501 07/21/2014
[ 6125.090177] 0000000000000009 ffff8801186c7bf8 ffffffff8178015c 0000000000000000
[ 6125.090180] ffff8801186c7c30 ffffffff8106fd7d 0000000000000000 ffff88011983e000
[ 6125.090183] ffff8800b6558210 ffff880036714800 ffff880036714800 ffff8801186c7c40
[ 6125.090187] Call Trace:
[ 6125.090195] [<ffffffff8178015c>] dump_stack+0x45/0x56
[ 6125.090201] [<ffffffff8106fd7d>] warn_slowpath_common+0x7d/0xa0
[ 6125.090204] [<ffffffff8106fe5a>] warn_slowpath_null+0x1a/0x20
[ 6125.090225] [<ffffffffc02ec04c>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
[ 6125.090231] [<ffffffff810b9580>] ? prepare_to_wait_event+0x100/0x100
[ 6125.090250] [<ffffffffc02eeb13>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
[ 6125.090268] [<ffffffffc02ef0e0>] ironlake_crtc_disable+0x50/0x980 [i915]
[ 6125.090287] [<ffffffffc0204f53>] ? drm_modeset_lock+0x33/0xf0 [drm]
[ 6125.090291] [<ffffffff81785f42>] ? mutex_lock+0x12/0x30
[ 6125.090310] [<ffffffffc02f04a7>] intel_crtc_update_dpms+0x67/0xa0 [i915]
[ 6125.090330] [<ffffffffc02f4b19>] intel_connector_dpms+0x59/0x70 [i915]
[ 6125.090345] [<ffffffffc01fbe19>] drm_mode_obj_set_property_ioctl+0x399/0x3a0 [drm]
[ 6125.090359] [<ffffffffc01fbe50>] drm_mode_connector_property_set_ioctl+0x30/0x40 [drm]
[ 6125.090370] [<ffffffffc01eaa4f>] drm_ioctl+0x1df/0x680 [drm]
[ 6125.090376] [<ffffffff8121fa3c>] ? fsnotify+0x27c/0x350
[ 6125.090380] [<ffffffff8121fa3c>] ? fsnotify+0x27c/0x350
[ 6125.090384] [<ffffffff811f4c28>] do_vfs_ioctl+0x2c8/0x4a0
[ 6125.090387] [<ffffffff811e3201>] ? __sb_end_write+0x31/0x60
[ 6125.090391] [<ffffffff811e0d72>] ? vfs_write+0x1b2/0x1f0
[ 6125.090395] [<ffffffff811f4e81>] SyS_ioctl+0x81/0xa0
[ 6125.090399] [<ffffffff817881ad>] system_call_fastpath+0x1a/0x1f
[ 6125.090401] ---[ e...

Read more...

Download full text (4.4 KiB)

same here
Linux sugar 3.16.0-24-generic #32-Ubuntu SMP Tue Oct 28 13:07:32 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Dec 9 23:37:03 sugar kernel: [ 2059.554998] ------------[ cut here ]------------
Dec 9 23:37:03 sugar kernel: [ 2059.555043] WARNING: CPU: 3 PID: 1494 at /build/buildd/linux-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]()
Dec 9 23:37:03 sugar kernel: [ 2059.555045] Modules linked in: md4 nls_utf8 cifs fscache ctr ccm bbswitch(OE) pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) rfcomm bnep binfmt_misc snd_hda_codec_h
dmi uvcvideo videobuf2_vmalloc videobuf2_memops hid_generic videobuf2_core v4l2_common usbhid videodev hid media ath3k btusb bluetooth 6lowpan_iphc acer_wmi sparse_keymap intel_rapl x86_pkg_temp_thermal intel_powe
rclamp coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel arc4 aesni_intel aes_x86_64 lrw ath9k gf128mul glue_helper ablk_helper ath9k_common cryptd ath9k_hw ath mac80211 joydev serio_raw rts
x_pci_ms memstick snd_hda_codec_realtek lpc_ich snd_hda_codec_generic cfg80211 i915 snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep drm_kms_helper snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_s
eq parport_pc wmi video snd_seq_device drm snd_timer ppdev snd mei_me i2c_algo_bit lp parport intel_smartconnect soc_button_array mac_hid mei shpchp soundcore rtsx_pci_sdmmc psmouse ahci libahci r8169 rtsx_pci mii
Dec 9 23:37:03 sugar kernel: [ 2059.555106] CPU: 3 PID: 1494 Comm: Xorg Tainted: G IOE 3.16.0-24-generic #32-Ubuntu
Dec 9 23:37:03 sugar kernel: [ 2059.555108] Hardware name: Acer Aspire V5-573G/Dazzle_HW, BIOS V2.25 11/28/2013
Dec 9 23:37:03 sugar kernel: [ 2059.555110] 0000000000000009 ffff880340a03c18 ffffffff8177fcbc 0000000000000000
Dec 9 23:37:03 sugar kernel: [ 2059.555113] ffff880340a03c50 ffffffff8106fd8d 0000000000000000 ffff88034c73b000
Dec 9 23:37:03 sugar kernel: [ 2059.555116] ffff88034ade8210 ffff88034ac49800 ffff88034ac49800 ffff880340a03c60
Dec 9 23:37:03 sugar kernel: [ 2059.555120] Call Trace:
Dec 9 23:37:03 sugar kernel: [ 2059.555128] [<ffffffff8177fcbc>] dump_stack+0x45/0x56
Dec 9 23:37:03 sugar kernel: [ 2059.555134] [<ffffffff8106fd8d>] warn_slowpath_common+0x7d/0xa0
Dec 9 23:37:03 sugar kernel: [ 2059.555138] [<ffffffff8106fe6a>] warn_slowpath_null+0x1a/0x20
Dec 9 23:37:03 sugar kernel: [ 2059.555162] [<ffffffffc052fffc>] intel_crtc_wait_for_pending_flips+0x16c/0x180 [i915]
Dec 9 23:37:03 sugar kernel: [ 2059.555169] [<ffffffff810b9590>] ? prepare_to_wait_event+0x100/0x100
Dec 9 23:37:03 sugar kernel: [ 2059.555189] [<ffffffffc0532ac3>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Dec 9 23:37:03 sugar kernel: [ 2059.555193] [<ffffffff81784e5b>] ? __ww_mutex_lock+0x1b/0xb0
Dec 9 23:37:03 sugar kernel: [ 2059.555210] [<ffffffffc0533a17>] haswell_crtc_disable+0x57/0x2e0 [i915]
Dec 9 23:37:03 sugar kernel: [ 2059.555213] [<ffffffff81785ab2>] ? mutex_lock+0x12/0x30
Dec 9 23:37:03 sugar kernel: [ 2059.555230] [<ffffffffc0534457>] intel_crtc_up...

Read more...

Michal Kolodziejczyk (miko-wp) wrote :
Download full text (3.4 KiB)

Hello, I also experienced it a few times for last few days. Interesting facts:
- I am running archlinux (so it's not ubuntu specific)
- It is running on a Zotac hardware (working as a HTPC)
- it was running XBMC playing a movie when freezed
- it was running kernel 3.17.4

[41772.634908] ------------[ cut here ]------------
[41772.634969] WARNING: CPU: 0 PID: 483 at drivers/gpu/drm/i915/intel_display.c:3361 intel_crtc_wait_for_pending_flips+0x1a1/0x1b0 [i915]()
[41772.634973] Modules linked in: nls_utf8 udf crc_itu_t bnep arc4 snd_hda_codec_hdmi uvcvideo rt2800pci rt2800mmio rt2800lib rt2x00pci snd_hda_codec_realtek videobuf2_vmalloc snd_usb_audio videobuf2_memops rt2x00mmio rt2x00lib videobuf2_core snd_usbmidi_lib snd_hda_codec_generic led_class v4l2_common ecb snd_rawmidi videodev mac80211 btusb snd_seq_device cfg80211 snd_hda_intel snd_hda_controller bluetooth snd_hda_codec ums_realtek media eeprom_93cx6 crc_ccitt rfkill snd_hwdep joydev snd_pcm snd_timer snd coretemp hwmon intel_rapl i915 iTCO_wdt x86_pkg_temp_thermal r8169 intel_powerclamp evdev iTCO_vendor_support soundcore kvm_intel mii mac_hid serio_raw psmouse pcspkr drm_kms_helper kvm crct10dif_pclmul drm crc32_pclmul crc32c_intel ghash_clmulni_intel intel_gtt cryptd mei_me battery thermal video
[41772.635142] button shpchp i2c_algo_bit i2c_i801 i2c_core mei lpc_ich processor fan sch_fq_codel ext4 crc16 mbcache jbd2 sr_mod cdrom hid_generic usbhid hid uas usb_storage sd_mod crc_t10dif crct10dif_common atkbd libps2 ahci libahci xhci_hcd ehci_pci ehci_hcd libata scsi_mod usbcore usb_common i8042 serio
[41772.635205] CPU: 0 PID: 483 Comm: Xorg.bin Not tainted 3.17.4-1-ARCH #1
[41772.635209] Hardware name: ZOTAC XXXXXX/XXXXXX, BIOS 4.6.4 06/28/2012
[41772.635214] 0000000000000000 000000002f4774f5 ffff8800d4c23b98 ffffffff81537b0e
[41772.635221] 0000000000000000 ffff8800d4c23bd0 ffffffff8107078d 0000000000000000
[41772.635228] ffff8800d5b78288 ffff880118da8000 ffff8800d580e800 0000000000000000
[41772.635235] Call Trace:
[41772.635249] [<ffffffff81537b0e>] dump_stack+0x4d/0x6f
[41772.635259] [<ffffffff8107078d>] warn_slowpath_common+0x7d/0xa0
[41772.635267] [<ffffffff810708ba>] warn_slowpath_null+0x1a/0x20
[41772.635297] [<ffffffffa049b3f1>] intel_crtc_wait_for_pending_flips+0x1a1/0x1b0 [i915]
[41772.635308] [<ffffffff810af950>] ? __wake_up_sync+0x20/0x20
[41772.635335] [<ffffffffa04a37d4>] intel_crtc_disable_planes+0x34/0x160 [i915]
[41772.635360] [<ffffffffa04a3f30>] ironlake_crtc_disable+0x50/0x7b0 [i915]
[41772.635369] [<ffffffff81151685>] ? filemap_map_pages+0x135/0x250
[41772.635394] [<ffffffffa049ccb9>] intel_crtc_control+0x49/0x100 [i915]
[41772.635418] [<ffffffffa049cdd7>] intel_crtc_update_dpms+0x67/0x80 [i915]
[41772.635444] [<ffffffffa04a5ed9>] intel_connector_dpms+0x59/0x70 [i915]
[41772.635465] [<ffffffffa02ef6c9>] drm_mode_obj_set_property_ioctl+0x399/0x3a0 [drm]
[41772.635483] [<ffffffffa02ef70f>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[41772.635501] [<ffffffffa02dffef>] drm_ioctl+0x1df/0x680 [drm]
[41772.635512] [<ffffffff8105e9ac>] ? __do_page_fault+0x2ec/0x600
[41772.635521] [<ffffffff8101e439>] ? read_tsc+0x9/0x10
[41772.635529] [<fff...

Read more...

70 comments hidden view all 113 comments

Additional info:
reporter: libreport-2.2.3
WARNING: CPU: 3 PID: 17078 at drivers/gpu/drm/i915/intel_display.c:3361 intel_crtc_wait_for_pending_flips+0x1a5/0x1b0 [i915]()
Modules linked in: rfcomm fuse ccm fcoe libfcoe libfc scsi_transport_fc 8021q garp mrp ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwldvm mac80211 iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core v4l2_common videodev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_controller snd_hda_codec iwlwifi snd_hwdep cfg80211 dell_laptop dell_wmi btusb media sparse_keymap dcdbas crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel snd_seq snd_seq_device snd_pcm bluetooth snd_timer rfkill snd shpchp wmi lpc_ich mei_me mei soundcore mfd_core serio_raw microcode i2c_i801 binfmt_misc i915 i2c_algo_bit drm_kms_helper r8169 drm mii video analog gameport joydev
CPU: 3 PID: 17078 Comm: kworker/u16:14 Not tainted 3.17.7-200.fc20.x86_64 #1
Hardware name: Dell Inc. Dell System Inspiron N7110/0YH79Y, BIOS A08 10/24/2011
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000a8f86698 ffff88004e367b30 ffffffff8172758c
 0000000000000000 ffff88004e367b68 ffffffff81092e7d 0000000000000000
 ffff88013811a000 ffff8800360c82c0 ffff880137046000 0000000000000000
Call Trace:
 [<ffffffff8172758c>] dump_stack+0x45/0x56
 [<ffffffff81092e7d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81092faa>] warn_slowpath_null+0x1a/0x20
 [<ffffffffa010e7b5>] intel_crtc_wait_for_pending_flips+0x1a5/0x1b0 [i915]
 [<ffffffff810d1840>] ? prepare_to_wait_event+0xf0/0xf0
 [<ffffffffa0115c44>] intel_crtc_disable_planes+0x34/0x160 [i915]
 [<ffffffffa011639d>] ironlake_crtc_disable+0x4d/0x7c0 [i915]
 [<ffffffffa004c8ea>] ? drm_modeset_lock+0x6a/0xc0 [drm]
 [<ffffffffa0110019>] intel_crtc_control+0x49/0x100 [i915]
 [<ffffffffa00b8aaa>] i915_drm_freeze+0xaa/0x1f0 [i915]
 [<ffffffffa00b8d3f>] i915_pm_suspend+0x2f/0x50 [i915]
 [<ffffffff813b3816>] pci_pm_suspend+0x76/0x140
 [<ffffffff813b37a0>] ? pci_pm_freeze+0xf0/0xf0
 [<ffffffff8149015e>] dpm_run_callback+0x4e/0x100
 [<ffffffff81490e1e>] __device_suspend+0x11e/0x340
 [<ffffffff8149105f>] async_suspend+0x1f/0xa0
 [<ffffffff810b2f29>] async_run_entry_fn+0x39/0x120
 [<ffffffff810aadc9>] process_one_work+0x149/0x3d0
 [<ffffffff810ab44b>] worker_thread+0x11b/0x490
 [<ffffffff810ab330>] ? rescuer_thread+0x2e0/0x2e0
 [<ffffffff810b04a8>] kthread+0xd8/0xf0
 [<ffffffff810b03d0>] ? kthread_create_on_node+0x190/0x190
 [<ffffffff8172ebbc>] ret_from_fork+0x7c/0xb0
 [<ffffffff810b03d0>] ? kthread_create_on_node+0x190/0x190

Created attachment 978525
File: dmesg

tags: added: kernel-key vivid
tags: removed: kernel-key
tags: added: patch
Changed in xserver-xorg-video-intel:
importance: Unknown → Medium
status: Unknown → Fix Released
Changed in linux (Debian):
status: Unknown → New
37 comments hidden view all 113 comments
Øyvind Stegard (oyvinst) wrote :

Same issue occured on Ubuntu 14.04 LTS after upgrading kernel to 3.16, and Xorg (LTS hardware enablement program). Screen was frozen, but I was able to recover by switching to a VT and restarting X (switching eventually worked after a long delay). Never any problems of this sort with the 3.13-kernel. (Intel HD 4000 "Ivy Bridge").

[79486.195054] WARNING: CPU: 0 PID: 1751 at /build/buildd/linux-lts-utopic-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x171/0x180 [i915]()

amichair (amichai2) wrote :

Any estimates on if/when this fix will be backported to 14.10? Is installing 3.19 from the kernel ppa the recommended course of action until then? Will the rest of the system work properly with it?

14.10 is a development release of Ubuntu that is only supported for another 4 or so months - imho it is unlikely to see any kernel backport efforts in that time frame. There isn't really any point in being on an old development release of Ubuntu, if you aren't going LTS then you might as well just run the latest active development release, 15.04 will have linux 3.19.

Linux 3.19 from PPA should work fine, if it doesn't then file a bug here or at https://bugzilla.kernel.org/

Jamie Strandboge (jdstrand) wrote :

FYI, 14.10 is not a development release, it is a stable non-LTS release which therefore receives security updates and high impact bug fixes for 9 months. This kernel is also part of the hardware enablement stack for LTS releases which may help to prioritize bugs of this nature. As to whether this bug will be fixed in 14.10, I cannot say, but I wanted to clarify the level of support for non-LTS kernels/releases.

eezacque (eezacque) wrote :

I'd love to check whether kernel 3.19 or 4.0 fixes the issue, but these kernels consistently hide my mouse pointer, so I cannot test.

Changed in linux (Debian):
status: New → Unknown
Changed in linux (Debian):
status: Unknown → New

*** Bug 89666 has been marked as a duplicate of this bug. ***

Rob (benssonrob) wrote :

So is it something that can be backported to the 14.04.2 hardware enhencement release?

Dirk Seidel (dseidel) wrote :

The patch from #57 is implemented in today's kernel update for Utopic (3.16.0-33-generic #44-Ubuntu).

Gustavo Meira (grnmeira) wrote :

I updated my system to 3.16.0-33-generic #44 and the problem still happens.

@meira comment #71 "This bug should be fixed on Haswell with linux-3.19 or later, or Ivy Bridge with linux-3.17 or later"

@meira Sorry, somehow I had missed Dirk's comment. According to that, 3.16.0-33 should be fixed. In which case, you can try the latest mainstream kernel. The rest of the comment #71 might apply:

If you can still reproduce it after that, then note from dri-devel list:

"If you can reproduce this somehow, please boot with drm.debug=0xe and
attach the complete dmesg up to the WARNING. We seem to loose track of
pageflips under obscure circumstances sometimes. We have more band-aids
queued up, but fixing the underlying issue would be better ofc."

- http://permalink.gmane.org/gmane.comp.video.dri.devel/112025

Gustavo Meira (grnmeira) wrote :

@Chris Oh, ok. Didn't realized that comment.

I followed their instructions and got some logs. I'll check if I can contact the guys from the DRM development.

Your system is Valleyview. Just a hunch, but in the patch try replacing:

+ } else if (IS_IVYBRIDGE(dev) || IS_HASWELL(dev)) {

with

+ } else if (IS_IVYBRIDGE(dev) || IS_HASWELL(dev) || IS_VALLEYVIEW(dev)) {

Will ask upstream about it.

Is this fix also required for Valleyview? https://launchpadlibrarian.net/201861206/kern.log looks like the same stacktrace and afaik Valleyview uses the same GPU core as Ivybridge and Haswell, so it would make sense that it needs the same fix.

No. Valleyview has a different display engine, and only ever supported flips from the BCS ring. That trace is not from a dead GPU.

So much for that guess. Recommend you report the bug upstream and try reproducing it in a later kernel (for instructions see http://askubuntu.com/questions/119080/how-to-update-kernel-to-the-latest-mainline-version-without-any-distro-upgrade and you can get the latest drm-intel-nightly packages from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/ )

Levente Nagy (nagylevente) wrote :
Download full text (4.3 KiB)

I just had the same on Lenovo T430 / 14.04.2

Linux ubutp 3.16.0-33-generic #44~14.04.1-Ubuntu SMP Fri Mar 13 10:33:29 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Apr 5 09:40:47 ubutp kernel: [ 5286.229834] ------------[ cut here ]------------
Apr 5 09:40:47 ubutp kernel: [ 5286.229893] WARNING: CPU: 2 PID: 19666 at /build/buildd/linux-lts-utopic-3.16.0/drivers/gpu/drm/i915/intel_display.c:3324 intel_crtc_wait_for_pending_flips+0x171/0x180 [i915]()
Apr 5 09:40:47 ubutp kernel: [ 5286.229896] Modules linked in: vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) pci_stub nls_iso8859_1 ctr ccm btusb snd_hda_codec_hdmi snd_hda_codec_realtek rfcomm snd_hda_codec_generic bnep bluetooth snd_hda_intel 6lowpan_iphc snd_hda_controller snd_hda_codec snd_hwdep snd_pcm intel_rapl x86_pkg_temp_thermal snd_seq_midi uvcvideo snd_seq_midi_event intel_powerclamp coretemp videobuf2_vmalloc snd_rawmidi videobuf2_memops arc4 snd_seq videobuf2_core kvm_intel v4l2_common kvm iwldvm thinkpad_acpi mac80211 videodev media serio_raw snd_seq_device snd_timer nvram snd iwlwifi rtsx_pci_ms cfg80211 memstick lpc_ich soundcore shpchp mei_me parport_pc mei ppdev mac_hid lp parport dm_crypt uas usb_storage rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel aes_x86_64 lrw i915 gf128mul glue_helper ablk_helper cryptd psmouse i2c_algo_bit drm_kms_helper ahci e1000e drm libahci ptp rtsx_pci pps_core wmi video [last unloaded: vboxdrv]
Apr 5 09:40:47 ubutp kernel: [ 5286.229966] CPU: 2 PID: 19666 Comm: Xorg Tainted: G OE 3.16.0-33-generic #44~14.04.1-Ubuntu
Apr 5 09:40:47 ubutp kernel: [ 5286.229969] Hardware name: LENOVO 23501F9/23501F9, BIOS G1ET98WW (2.58 ) 10/23/2013
Apr 5 09:40:47 ubutp kernel: [ 5286.229971] 0000000000000009 ffff8800c796fbf0 ffffffff81763720 0000000000000000
Apr 5 09:40:47 ubutp kernel: [ 5286.229976] ffff8800c796fc28 ffffffff8106dd7d 0000000000000000 ffff880215c19000
Apr 5 09:40:47 ubutp kernel: [ 5286.229979] ffff880035fb8210 ffff8800c720f800 ffff8800c720f800 ffff8800c796fc38
Apr 5 09:40:47 ubutp kernel: [ 5286.229983] Call Trace:
Apr 5 09:40:47 ubutp kernel: [ 5286.229993] [<ffffffff81763720>] dump_stack+0x45/0x56
Apr 5 09:40:47 ubutp kernel: [ 5286.230001] [<ffffffff8106dd7d>] warn_slowpath_common+0x7d/0xa0
Apr 5 09:40:47 ubutp kernel: [ 5286.230006] [<ffffffff8106de5a>] warn_slowpath_null+0x1a/0x20
Apr 5 09:40:47 ubutp kernel: [ 5286.230037] [<ffffffffc0271c61>] intel_crtc_wait_for_pending_flips+0x171/0x180 [i915]
Apr 5 09:40:47 ubutp kernel: [ 5286.230045] [<ffffffff810b4d10>] ? prepare_to_wait_event+0x100/0x100
Apr 5 09:40:47 ubutp kernel: [ 5286.230073] [<ffffffffc0274713>] intel_crtc_disable_planes+0x33/0x1c0 [i915]
Apr 5 09:40:47 ubutp kernel: [ 5286.230100] [<ffffffffc0274cdd>] ironlake_crtc_disable+0x4d/0x920 [i915]
Apr 5 09:40:47 ubutp kernel: [ 5286.230130] [<ffffffffc0146ae3>] ? drm_modeset_lock+0x33/0xe0 [drm]
Apr 5 09:40:47 ubutp kernel: [ 5286.230136] [<ffffffff8176a222>] ? mutex_lock+0x12/0x2f
Apr 5 09:40:47 ubutp kernel: [ 5286.230165] [<ffffffffc0276017>] intel_crtc_update_dpms+0x67/0xa0 [i915]
Apr 5 09:40:47 ubutp kernel: [ 5286.230194] [<ffffffffc027a509>] intel_conne...

Read more...

Changed in linux (Debian):
status: New → Confirmed
qiuyao (qiuyaoboy) wrote :
Download full text (3.1 KiB)

 I have just experienced this issue today.
Dell Latitude 6330
CPU: i3-3110M
GPU: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
Ubuntu 14.04.2 with intel linux graphics driver 1.0.7

syslog:

Apr 12 22:37:34 kernel: [37436.202310] CPU: 0 PID: 6036 Comm: Xorg Tainted: G OE 3.16.0-34-generic #45~14.04.1-Ubuntu
Apr 12 22:37:34 kernel: [37436.202311] Hardware name: Dell Inc. Latitude E6330/0XP1RW, BIOS A14 09/24/2014
Apr 12 22:37:34 kernel: [37436.202315] 0000000000000009 ffff8801571df9a8 ffffffff8176432f 0000000000000000
Apr 12 22:37:34 kernel: [37436.202317] ffff8801571df9e0 ffffffff8106dd9d 0000000000000000 ffff880035d6e000
Apr 12 22:37:34 kernel: [37436.202319] ffff8800c9d58210 ffff8801fef53000 ffff8801fef53368 ffff8801571df9f0
Apr 12 22:37:34 kernel: [37436.202320] Call Trace:
Apr 12 22:37:34 kernel: [37436.202328] [<ffffffff8176432f>] dump_stack+0x45/0x56
Apr 12 22:37:34 kernel: [37436.202333] [<ffffffff8106dd9d>] warn_slowpath_common+0x7d/0xa0
Apr 12 22:37:34 kernel: [37436.202336] [<ffffffff8106de7a>] warn_slowpath_null+0x1a/0x20
Apr 12 22:37:34 kernel: [37436.202363] [<ffffffffc05cec61>] intel_crtc_wait_for_pending_flips+0x171/0x180 [i915]
Apr 12 22:37:34 kernel: [37436.202369] [<ffffffff810b4d70>] ? prepare_to_wait_event+0x100/0x100
Apr 12 22:37:34 kernel: [37436.202394] [<ffffffffc05d84d9>] intel_crtc_set_config+0x959/0xdb0 [i915]
Apr 12 22:37:34 kernel: [37436.202418] [<ffffffffc0444401>] drm_mode_set_config_internal+0x61/0xe0 [drm]
Apr 12 22:37:34 kernel: [37436.202428] [<ffffffffc0418b33>] restore_fbdev_mode+0xb3/0xe0 [drm_kms_helper]
Apr 12 22:37:34 kernel: [37436.202437] [<ffffffffc041a775>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
Apr 12 22:37:34 kernel: [37436.202446] [<ffffffffc041a7e2>] drm_fb_helper_set_par+0x22/0x50 [drm_kms_helper]
Apr 12 22:37:34 kernel: [37436.202450] [<ffffffff814015d1>] fb_set_var+0x191/0x430
Apr 12 22:37:34 kernel: [37436.202453] [<ffffffff810aa740>] ? update_curr+0x80/0x180
Apr 12 22:37:34 kernel: [37436.202457] [<ffffffff813f8611>] fbcon_blank+0x1d1/0x2d0
Apr 12 22:37:34 kernel: [37436.202461] [<ffffffff8109ebdd>] ? ttwu_do_activate.constprop.85+0x5d/0x70
Apr 12 22:37:34 kernel: [37436.202466] [<ffffffff81483948>] do_unblank_screen+0xb8/0x1f0
Apr 12 22:37:34 kernel: [37436.202469] [<ffffffff814798ca>] complete_change_console+0x5a/0xe0
Apr 12 22:37:34 kernel: [37436.202471] [<ffffffff8147a8ec>] vt_ioctl+0xf9c/0x11b0
Apr 12 22:37:34 kernel: [37436.202475] [<ffffffff8146e13d>] tty_ioctl+0x26d/0xbb0
Apr 12 22:37:34 kernel: [37436.202478] [<ffffffff812116e8>] ? fsnotify+0x228/0x2f0
Apr 12 22:37:34 kernel: [37436.202482] [<ffffffff811e7090>] do_vfs_ioctl+0x2e0/0x4c0
Apr 12 22:37:34 kernel: [37436.202485] [<ffffffff811d67c1>] ? __sb_end_write+0x31/0x60
Apr 12 22:37:34 kernel: [37436.202488] [<ffffffff811e72f1>] SyS_ioctl+0x81/0xa0
Apr 12 22:37:34 kernel: [37436.202493] [<ffffffff8176ca6d>] system_call_fastpath+0x1a/0x1f
Apr 12 22:37:34 kernel: [37436.202495] ---[ end trace ebc18d8b83ced03d ]---
Apr 12 22:37:34 kernel: [37436.202500] [drm:intel_pipe_set_base] *ERROR* pipe is still busy with a...

Read more...

Øyvind Stegard (oyvinst) wrote :

I experience this at least once per day on a Ubuntu 14.04-installation with LTS hardware enablement upgrade to kernel 3.16 (and newer Xorg components). Typically, full screen video playback will suddenly freeze (audio continues to play). At that point I must switch to VT 1, which takes about a minute to happen, and then back to VT 7, to unfreeze the desktop. The error in the kernel log does not appear immediately, but rather after having switched to VT 1 (intel_crtc_wait_for_pending_flips+0x171/0x180). Typically, the app that was playing video will crash.

System (Shuttle-based HTPC) uses an Intel(R) Core(TM) i3-3225 CPU and integrated graphics:
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller (rev 09)

Happened with all 3.16 kernel releases up to 3.16.0-34-generic so far.

zob (zob) wrote :

Should there be an else if (IS_SANDYBRIDGE (dev)... ) or something like that in the patch mentioned at comment #86 ?
At least, I'm also seeing this on sandy bridge

System: Host: lars-Latitude-E6420 Kernel: 3.16.0-34-generic x86_64 (64 bit) Desktop: Unity 7.3.1
           Distro: Ubuntu 14.10 utopic
CPU: Dual core Intel Core i5-2520M (-HT-MCP-) cache: 3072 KB
           Clock Speeds: 1: 1258 MHz 2: 980 MHz 3: 1225 MHz 4: 1393 MHz
Graphics: Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller
           Display Server: X.Org 1.16.0 drivers: intel (unloaded: fbdev,vesa) Resolution: 1600x900@60.1hz
           GLX Renderer: Mesa DRI Intel Sandybridge Mobile GLX Version: 3.0 Mesa 10.3.2

Attached dmesg from crash.

Øyvind, zob, everyone,

This bug has more than one cause. If you still see this in 3.16.0-33 or later and can reproduce it, then test the 4.0.0 kernel, and if it is fixed for you in 4.0.0 (and you can be bothered), you can do a bisect and figure out which patch fixed it.. but if it is not fixed in 4.0.0, then to get it fixed you will need to report it upstream to Intel: boot with drm.debug=0xe and get the complete dmesg up to the WARNING then follow the instructions at https://01.org/linuxgraphics/documentation/how-report-bugs

Keng-Yu Lin (lexical) on 2015-04-21
no longer affects: hwe-next
amichair (amichai2) wrote :

Just wanted to update that since I upgraded 14.10 to kernel 3.19 from PPA a couple months ago, the issue never occurred again.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Utopic):
status: New → Confirmed
16 comments hidden view all 113 comments

*** This bug has been marked as a duplicate of bug 1136531 ***

15 comments hidden view all 113 comments
M Nolan (mpnolan) wrote :
Download full text (4.0 KiB)

Did anyone find a fix for this on ValleyView? As I understand it the fixes posted to date are for Haswell/IvyBridge only.

I am seeing the issue on a 3.16.0-36.48 kernel which I confirmed has the following code block in it:

} else if (IS_VALLEYVIEW(dev)) {
                ring = &dev_priv->ring[BCS];
} else if (IS_IVYBRIDGE(dev) || IS_HASWELL(dev)) {
                ring = &dev_priv->ring[BCS];

Here is the stack trace that occurs when the problem happens:

Oct 13 12:35:58 System kernel: [ 8902.798602] Call Trace:
Oct 13 12:35:58 System kernel: [ 8902.798625] <c168d7ca> dump_stack+0x41/0x52
Oct 13 12:35:58 System kernel: [ 8902.798640] <c105c3ae> warn_slowpath_common+0x7e/0xa0
Oct 13 12:35:58 System kernel: [ 8902.798799] <f8555ae7> ? intel_crtc_wait_for_pending_flips+0x137/0x140 i915
Oct 13 12:35:58 System kernel: [ 8902.798950] <f8555ae7> ? intel_crtc_wait_for_pending_flips+0x137/0x140 i915
Oct 13 12:35:58 System kernel: [ 8902.798963] <c105c472> warn_slowpath_null+0x22/0x30
Oct 13 12:35:58 System kernel: [ 8902.799114] <f8555ae7> intel_crtc_wait_for_pending_flips+0x137/0x140 i915
Oct 13 12:35:58 System kernel: [ 8902.799128] <c109a690> ? prepare_to_wait_event+0xd0/0xd0
Oct 13 12:35:58 System kernel: [ 8902.799281] <f855e8c3> intel_crtc_set_config+0x813/0xba0 i915
Oct 13 12:35:58 System kernel: [ 8902.799366] <f839864e> drm_mode_set_config_internal+0x4e/0xb0 drm
Oct 13 12:35:58 System kernel: [ 8902.799514] <f8551240> ? intel_reset_dpio+0x1a0/0x1a0 i915
Oct 13 12:35:58 System kernel: [ 8902.799549] <f836965a> restore_fbdev_mode+0xaa/0xe0 drm_kms_helper
Oct 13 12:35:58 System kernel: [ 8902.799583] <f836af6e> drm_fb_helper_restore_fbdev_mode_unlocked+0x1e/0x50 drm_kms_helper
Oct 13 12:35:58 System kernel: [ 8902.799616] <f836afc2> drm_fb_helper_set_par+0x22/0x50 drm_kms_helper
Oct 13 12:35:58 System kernel: [ 8902.799631] <c1384ddd> fb_set_var+0x1bd/0x410
Oct 13 12:35:58 System kernel: [ 8902.799644] <c108cece> ? update_cfs_rq_blocked_load+0x11e/0x180
Oct 13 12:35:58 System kernel: [ 8902.799658] <c108fb1b> ? update_curr+0x12b/0x1e0
Oct 13 12:35:58 System kernel: [ 8902.799675] <c137c9de> fbcon_blank+0x1ee/0x2e0
Oct 13 12:35:58 System kernel: [ 8902.799694] <c13feca6> do_unblank_screen+0xa6/0x1c0
Oct 13 12:35:58 System kernel: [ 8902.799709] <c13f6111> complete_change_console+0x51/0xe0
Oct 13 12:35:58 System kernel: [ 8902.799722] <c13f7144> vt_ioctl+0xfa4/0x1080
Oct 13 12:35:58 System kernel: [ 8902.799734] <c11c4a77> ? fsnotify_destroy_event+0x27/0x40
Oct 13 12:35:58 System kernel: [ 8902.799745] <c11c68a3> ? inotify_handle_event+0x103/0x160
Oct 13 12:35:58 System kernel: [ 8902.799767] <c13f61a0> ? complete_change_console+0xe0/0xe0
Oct 13 12:35:58 System kernel: [ 8902.799778] <c13ebf83> tty_ioctl+0x233/0xa30
Oct 13 12:35:58 System kernel: [ 8902.799793] <c11c474f> ? fsnotify+0x1ef/0x2c0
Oct 13 12:35:58 System kernel: [ 8902.799804] <c13ebd50> ? no_tty+0x30/0x30
Oct 13 12:35:58 System kernel: [ 8902.799817] <c119f6d2> do_vfs_ioctl+0x2f2/0x4f0
Oct 13 12:35:58 System kernel: [ 8902.799829] <c11a27ae> ? dput+0x1e/0x150
Oct 13 12:35:58 System kernel: [ 8902.799843] <c1190a51> ? __sb_end_write+0x31/0x70
Oct 13 12:35:58 System kernel: [ 8902.7...

Read more...

@mpnolan 3.16 is considered an old kernel now. Test with the latest git and, if you can still reproduce the bug, follow the instructions on http://permalink.gmane.org/gmane.comp.video.dri.devel/112025 and report the bug upstream including the dmesg with drm.debug=0xe boot parameter.

no longer affects: linux (Ubuntu Utopic)
Shamank (lucianofantuzzi) wrote :

same here, exact syslog message after the "crash" (display crash). I don't want to manually update my kernel to 3.19.x since I've had very bad experiences doing this. my system is crashing very often now. is this going to be solved soon, please? thanks.

Ubuntu 14.04.3 LTS
3.16.0-30-generic #40~14.04.1-Ubuntu
x86_64 x86_64 x86_64 GNU/Linux

Mike (triple-eh) wrote :

Upgrading to 3.16 still caused display to crash.

I've successfully upgraded to kernel 3.19 (3.19.0-31-generic) and haven't experienced the display crash issue since.

     sudo apt-get install linux-generic-lts-vivid

I only ran into one issue with the i915 DKMS module crashing and fixed it by installing the 3.19 version:

     sudo apt-get install i915-3.19-3.13-dkms

Since those two package upgrades, my 14.04.3 LTS install has been running great.

Shamank (lucianofantuzzi) wrote :

well, after all I decided to update the kernel. it didn't happen again since the upgrade to 3.19

Linux Paula 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Daniel Podlejski (underley) wrote :
Download full text (3.7 KiB)

kernel 4.4, ubuntu 16.04 (4.4.0-20-generic and -21), TOSHIBA PORTEGE Z30-B

[ 104.875123] ------------[ cut here ]------------
[ 104.875146] WARNING: CPU: 2 PID: 1425 at /build/linux-yplzxd/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:3968 intel_crtc_wait_for_pending_flips+0x233/0x240 [i915]()
[ 104.875147] Removing stuck page flip
[ 104.875147] Modules linked in: nvram msr drbg ansi_cprng ctr ccm ebtable_filter ebtables ip6table_filter ip6_tables rfcomm iptable_filter ip_tables x_tables binfmt_misc pci_stub vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) bnep uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core v4l2_common videodev media btusb btrtl btbcm btintel bluetooth snd_hda_codec_hdmi joydev arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel nls_iso8859_1 kvm irqbypass crct10dif_pclmul crc32_pclmul aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper iwlmvm cryptd mac80211 snd_soc_rt5640 snd_hda_codec_realtek snd_hda_codec_generic snd_soc_rl6231 iwlwifi snd_soc_core input_leds snd_compress ac97_bus serio_raw cfg80211 snd_pcm_dmaengine rtsx_pci_ms snd_hda_intel lpc_ich
[ 104.875175] snd_hda_codec memstick snd_hda_core snd_hwdep snd_seq_midi snd_pcm snd_seq_midi_event shpchp mei_me toshiba_acpi snd_rawmidi mei sparse_keymap toshiba_haps snd_seq toshiba_bluetooth snd_seq_device snd_timer snd soundcore dw_dmac dw_dmac_core tpm_infineon i2c_designware_platform 8250_dw spi_pxa2xx_platform i2c_designware_core snd_soc_sst_acpi mac_hid parport_pc ppdev lp parport autofs4 rtsx_pci_sdmmc i915 i2c_algo_bit drm_kms_helper syscopyarea sysfillrect ahci e1000e psmouse sysimgblt fb_sys_fops ptp drm libahci rtsx_pci pps_core wmi fjes sdhci_acpi video sdhci
[ 104.875197] CPU: 2 PID: 1425 Comm: Xorg Tainted: G W OE 4.4.0-22-generic #38-Ubuntu
[ 104.875198] Hardware name: TOSHIBA PORTEGE Z30-B/PORTEGE Z30-B, BIOS Version 2.10 01/06/2015
[ 104.875199] 0000000000000086 000000003d06b92c ffff88040a4f3ad0 ffffffff813e9c73
[ 104.875201] ffff88040a4f3b18 ffffffffc02a3a50 ffff88040a4f3b08 ffffffff81080fb2
[ 104.875203] ffff88040ebdd1a8 ffff880408069008 ffff88040deb9000 ffff88040ebdd000
[ 104.875205] Call Trace:
[ 104.875208] [<ffffffff813e9c73>] dump_stack+0x63/0x90
[ 104.875211] [<ffffffff81080fb2>] warn_slowpath_common+0x82/0xc0
[ 104.875213] [<ffffffff8108104c>] warn_slowpath_fmt+0x5c/0x80
[ 104.875216] [<ffffffff810c35d5>] ? finish_wait+0x55/0x70
[ 104.875237] [<ffffffffc023e073>] intel_crtc_wait_for_pending_flips+0x233/0x240 [i915]
[ 104.875240] [<ffffffff810c3a70>] ? wake_atomic_t_function+0x60/0x60
[ 104.875261] [<ffffffffc023f291>] intel_pre_plane_update+0x111/0x140 [i915]
[ 104.875282] [<ffffffffc023f800>] intel_atomic_commit+0xf0/0x6f0 [i915]
[ 104.875297] [<ffffffffc009280e>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[ 104.875311] [<ffffffffc0091d1d>] ? drm_atomic_set_crtc_for_connector+0x3d/0xe0 [drm]
[ 104.875324] [<ffffffffc0092c47>] drm_atomic_commit+0x37/0x60 [drm]
[ 104.875331] [<ffffffffc01989f6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
[ 104.875345] [<ffffffffc009146a>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
[ 10...

Read more...

Jürgen (j-w-ott) wrote :

Linux buro-server2 4.4.0-22-generic #40-Ubuntu SMP Thu May 12 22:03:46 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Kubuntu on a dual monitor setup

For me it happens often when using <strg><alt><enter> (making rdesktop fullscreen and back)

Pretty much as described every 2-4 days.

Xavier (rxaviers) wrote :
Download full text (3.3 KiB)

Linux xavier 4.4.0-31-generic #50-Ubuntu SMP Wed Jul 13 00:07:12 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Ubuntu 16.04.1 LTS (Xenial Xerus). Using external monitor and laptop lip closed.

[52362.767655] WARNING: CPU: 0 PID: 2811 at /build/linux-dcxD3m/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:3968 intel_crtc_wait_for_pending_flips+0x233/0x240 [i915]()
[52362.767656] Removing stuck page flip
[52362.767657] Modules linked in: btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c cpuid hidp nvram rfcomm msr bnep btusb btrtl btbcm btintel bluetooth joydev input_leds bcm5974 binfmt_misc applesmc input_polldev nls_iso8859_1 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi aesni_intel aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd thunderbolt brcmfmac brcmutil cfg80211 lpc_ich intel_pch_thermal bdc_pci mei_me snd_hda_codec_cirrus snd_hda_codec_generic mei shpchp snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi snd_seq sbs snd_seq_device sbshc snd_timer acpi_als kfifo_buf snd industrialio apple_bl soundcore spi_pxa2xx_platform mac_hid parport_pc ppdev lp parport autofs4 uas usb_storage hid_apple hid_generic i915 i2c_algo_bit ahci drm_kms_helper libahci usbhid syscopyarea sysfillrect hid sysimgblt fb_sys_fops drm fjes video
[52362.767706] CPU: 0 PID: 2811 Comm: Xorg Tainted: G W 4.4.0-31-generic #50-Ubuntu
[52362.767707] Hardware name: Apple Inc. MacBookPro12,1/Mac-E43C1C25D4880AD6, BIOS MBP121.88Z.0167.B15.1510261437 10/26/2015
[52362.767708] 0000000000200086 000000005bb1e7d4 ffff88026295faa0 ffffffff813f1143
[52362.767711] ffff88026295fae8 ffffffffc0213a70 ffff88026295fad8 ffffffff81081102
[52362.767714] ffff8800358341a8 ffff88025ee19008 ffff880264827000 ffff880035834000
[52362.767717] Call Trace:
[52362.767720] [<ffffffff813f1143>] dump_stack+0x63/0x90
[52362.767724] [<ffffffff81081102>] warn_slowpath_common+0x82/0xc0
[52362.767727] [<ffffffff8108119c>] warn_slowpath_fmt+0x5c/0x80
[52362.767730] [<ffffffff810c3805>] ? finish_wait+0x55/0x70
[52362.767756] [<ffffffffc01ae1d3>] intel_crtc_wait_for_pending_flips+0x233/0x240 [i915]
[52362.767759] [<ffffffff810c3ca0>] ? wake_atomic_t_function+0x60/0x60
[52362.767786] [<ffffffffc01af401>] intel_pre_plane_update+0x111/0x140 [i915]
[52362.767811] [<ffffffffc01afbd2>] intel_atomic_commit+0x352/0x6f0 [i915]
[52362.767829] [<ffffffffc003c7de>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[52362.767846] [<ffffffffc003cc17>] drm_atomic_commit+0x37/0x60 [drm]
[52362.767854] [<ffffffffc00fc699>] drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
[52362.767868] [<ffffffffc002c219>] __setplane_internal+0x169/0x250 [drm]
[52362.767885] [<ffffffffc003b4aa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
[52362.767900] [<ffffffffc002ff16>] drm_mode_setplane+0x136/0x1b0 [drm]
[52362.767911] [<ffffffffc0021742>] drm_ioctl+0x152/0x540 [drm]
[52362.767925] [<ffffffffc002fde0>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
[52362.767929] [<ffffffff81220c0f>] do_vfs_ioctl+0x29f/0x490
[52362.767932] [<ffffffff8120f7e1>] ?...

Read more...

komali2 (komali2) wrote :
Download full text (10.3 KiB)

This has been affecting me approximately every 1-2 hours. Full details and discussion can be found http://askubuntu.com/questions/838855/crashing-freezing-hanging-on-remove-stuck-pageflip at that stack overflow Q/A.

Macbook Pro A5102
OS: Ubuntu 16.04 LTS
Memory: 7.7GiB
Processor: Intel Core i5-5257u CPU @ 2.7GHz x 4
Graphics: Intel Iris 6100 (Broadwell GT3)
Os type: 64-bit
Disk: 37.0GB
uname -a: Linux caleb-ubuntu 4.4.0-43-generic #63-Ubuntu SMP Wed Oct 12 13:48:03 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
uname -r: 4.4.0-43-generic

Oct 19 11:13:18 caleb-ubuntu smartd[693]: Device: /dev/sda [SAT], SMART Usage Attribute: 194 Temperature_Celsius changed from 54 to 55
Oct 19 11:15:23 caleb-ubuntu kernel: [ 1928.576209] thunderbolt 0000:07:00.0: resetting error on 0:b.
Oct 19 11:15:23 caleb-ubuntu kernel: [ 1928.576223] thunderbolt 0000:07:00.0: 0:b: hotplug: scanning
Oct 19 11:15:23 caleb-ubuntu kernel: [ 1928.576226] thunderbolt 0000:07:00.0: 0:b: hotplug: no switch found

Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112344] ------------[ cut here ]------------
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112370] WARNING: CPU: 2 PID: 1033 at /build/linux-e0bh4_/linux-4.4.0/drivers/gpu/drm/i915/intel_display.c:3963 intel_crtc_wait_for_pending_flips+0x1e2/0x240 [i915]()
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112371] WARN_ON(wait_event_timeout(dev_priv->pending_flip_queue, !intel_crtc_has_pending_flip(crtc), 60*HZ) == 0)
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112373] Modules linked in: btrfs xor raid6_pq ufs qnx4 hfsplus hfs minix ntfs msdos jfs xfs libcrc32c cpuid rfcomm nvram bnep btusb btrtl btbcm joydev btintel input_leds bcm5974 bluetooth msr binfmt_misc nls_iso8859_1 applesmc intel_rapl x86_pkg_temp_thermal input_polldev intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul brcmfmac brcmutil snd_hda_codec_cirrus cfg80211 snd_hda_codec_generic aesni_intel aes_x86_64 lrw snd_hda_codec_hdmi gf128mul glue_helper ablk_helper cryptd bdc_pci thunderbolt snd_hda_intel snd_hda_codec lpc_ich intel_pch_thermal shpchp mei_me snd_hda_core mei snd_hwdep snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi acpi_als kfifo_buf snd_seq sbs industrialio sbshc snd_seq_device snd_timer spi_pxa2xx_platform apple_bl snd soundcore mac_hid parport_pc ppdev lp parport autofs4 hid_apple hid_generic usbhid hid i915 i2c_algo_bit drm_kms_helper syscopyarea ahci sysfillrect uas libahci sysimgblt fb_sys_fops usb_storage drm fjes video
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112414] CPU: 2 PID: 1033 Comm: Xorg Not tainted 4.4.0-42-generic #62-Ubuntu
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112416] Hardware name: Apple Inc. MacBookPro12,1/Mac-E43C1C25D4880AD6, BIOS MBP121.88Z.0167.B16.1602111810 02/11/2016
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112417] 0000000000000286 000000004413e07b ffff88003533faa0 ffffffff813f1f83
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112419] ffff88003533fae8 ffffffffc020eab8 ffff88003533fad8 ffffffff81081212
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112420] ffff880264f629a8 ffff8800357b9030 ffff880264822000 ffff880264f62800
Oct 19 11:15:49 caleb-ubuntu kernel: [ 1954.112421] Call Trace:
Oct 19 11...

wiz (wiz) wrote :

Freezes with Sky Lake and dual 1080p monitors.

wiz (wiz) wrote :

Trace is a little different though:

------------[ cut here ]------------
WARNING: CPU: 0 PID: 1109 at /build/linux-BwgxJb/linux-4.4.0/ubuntu/i915/intel_display.c:3857 intel_atomic_commit+0x1497/0x14a0 [i915_bpo]()
Removing stuck page flip
...
Call Trace:
[<ffffffff813f1f93>] dump_stack+0x63/0x90
[<ffffffff81081212>] warn_slowpath_common+0x82/0xc0
[<ffffffff810812ac>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff810c3935>] ? finish_wait+0x55/0x70
[<ffffffffc0267487>] intel_atomic_commit+0x1497/0x14a0 [i915_bpo]
[<ffffffff810c3dd0>] ? wake_atomic_t_function+0x60/0x60
[<ffffffffc00adbde>] ? drm_atomic_check_only+0x18e/0x590 [drm]
[<ffffffffc00ae017>] drm_atomic_commit+0x37/0x60 [drm]
[<ffffffffc01a8939>] drm_atomic_helper_disable_plane+0xa9/0xf0 [drm_kms_helper]
[<ffffffffc009d269>] __setplane_internal+0x169/0x250 [drm]
[<ffffffffc00ac79a>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
[<ffffffffc00a1056>] drm_mode_setplane+0x136/0x1b0 [drm]
[<ffffffffc0092752>] drm_ioctl+0x152/0x540 [drm]
[<ffffffffc00a0f20>] ? drm_plane_check_pixel_format+0x50/0x50 [drm]
[<ffffffff8122123f>] do_vfs_ioctl+0x29f/0x490
[<ffffffff8106b504>] ? __do_page_fault+0x1b4/0x400
[<ffffffff812214a9>] SyS_ioctl+0x79/0x90
[<ffffffff818318b2>] entry_SYSCALL_64_fastpath+0x16/0x71
---[ end trace 88907067abf4f3c1 ]---

komali2 (komali2) wrote :

@wiz I was getting a crash even without an external monitor plugged in, but haven't been able to get a trace yet. Seems to occur less often with a monitor resolution lowered, but the crash is fatal to the point I can't get a trace out, unlike with a high-res hang.

Download full text (4.1 KiB)

Here is another data point:
 - kernel: linux-image-4.8.12-040812-generic (Ubuntu mainline kernel)
 - CPU/GPU : Core i7-2640M

This kind of event is quite rare with mainline kernels (I cannot say the same of Ubuntu kernels and that's why I use mainline kernels).

[231716.438851] ------------[ cut here ]------------
[231716.438881] WARNING: CPU: 0 PID: 1334 at /home/kernel/COD/linux/drivers/gpu/drm/i915/intel_display.c:3906 intel_atomic_commit+0x559/0x560 [i915]
[231716.438882] Removing stuck page flip
[231716.438905] Modules linked in: ccm ses enclosure scsi_transport_sas ufs qnx4 hfsplus hfs minix ntfs msdos libcrc32c cpuid uas usb_storage nls_iso8859_1 mmc_block rfcomm cmac bnep dm_crypt dell_wmi sparse_keymap dell_rbtn dell_laptop dell_smbios dcdbas dell_smm_hwmon binfmt_misc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm snd_hda_codec_hdmi irqbypass btusb crct10dif_pclmul crc32_pclmul snd_hda_codec_idt snd_hda_codec_generic ghash_clmulni_intel btrtl btbcm snd_hda_intel aesni_intel btintel snd_hda_codec bluetooth snd_hda_core snd_hwdep snd_pcm aes_x86_64 lrw glue_helper ablk_helper cryptd snd_seq_midi snd_seq_midi_event snd_rawmidi intel_cstate intel_rapl_perf arc4 joydev input_leds serio_raw iwlmvm snd_seq mac80211 snd_seq_device snd_timer iwlwifi lpc_ich snd cfg80211
[231716.438917] soundcore shpchp mac_hid dell_smo8800 mei_me mei tpm_rng parport_pc ppdev lp parport ip_tables x_tables autofs4 btrfs xor raid6_pq hid_generic usbhid hid i915 i2c_algo_bit psmouse drm_kms_helper syscopyarea sysfillrect ahci sysimgblt libahci firewire_ohci sdhci_pci sdhci firewire_core crc_itu_t wmi fb_sys_fops drm e1000e ptp fjes video pps_core [last unloaded: jfs]
[231716.438919] CPU: 0 PID: 1334 Comm: Xorg Not tainted 4.8.12-040812-generic #201612020431
[231716.438919] Hardware name: Dell Inc. Latitude E6520/0NVF5K, BIOS A19 11/14/2013
[231716.438922] 0000000000000086 000000008f1c6b0f ffffa2e41cd8f878 ffffffffb3e12e02
[231716.438923] ffffa2e41cd8f8c8 0000000000000000 ffffa2e41cd8f8b8 ffffffffb3a82d9b
[231716.438924] 00000f421cd8f898 0000000000000000 ffffa2e41ac26000 ffffa2e423708000
[231716.438924] Call Trace:
[231716.438927] [<ffffffffb3e12e02>] dump_stack+0x63/0x81
[231716.438929] [<ffffffffb3a82d9b>] __warn+0xcb/0xf0
[231716.438931] [<ffffffffb3a82e1f>] warn_slowpath_fmt+0x5f/0x80
[231716.438932] [<ffffffffb3ac6845>] ? finish_wait+0x55/0x70
[231716.438946] [<ffffffffc051e039>] intel_atomic_commit+0x559/0x560 [i915]
[231716.438947] [<ffffffffb3ac6cf0>] ? wake_atomic_t_function+0x60/0x60
[231716.438960] [<ffffffffc036fc17>] drm_atomic_commit+0x37/0x60 [drm]
[231716.438968] [<ffffffffc043fe3c>] restore_fbdev_mode+0x14c/0x270 [drm_kms_helper]
[231716.438972] [<ffffffffc0441ab4>] drm_fb_helper_restore_fbdev_mode_unlocked+0x34/0x80 [drm_kms_helper]
[231716.438975] [<ffffffffc0441b2d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
[231716.438990] [<ffffffffc0537cea>] intel_fbdev_set_par+0x1a/0x60 [i915]
[231716.438992] [<ffffffffb3e9e325>] ? fb_set_var+0x2f5/0x460
[231716.438993] [<ffffffffb3e9e266>] fb_set_var+0x236/0x460
[231716.438994] [<ffffffffb3ab7826>] ? update_curr+0x66/0x170
[231716.438995] [<ffffffffb3ab4c...

Read more...

I have not seen this bug while using mainline kernels from 4.9.1 to 4.9.13 and now 4.10.1.

Changed in linux (Fedora):
importance: Unknown → Undecided
status: Unknown → Invalid
Displaying first 40 and last 40 comments. View all 113 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.